## ros-rolling-rmw-connext-shared-cpp 3.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_connext_shared_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(connext_cmake_module REQUIRED)
find_package(Connext QUIET MODULE)
if(Connext_FOUND)
  find_package(Connext MODULE)
endif()
if(NOT Connext_FOUND)
  ament_package()
  message(WARNING "Could not find RTI Connext - skipping '${PROJECT_NAME}'")
  return()
endif()
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rmw_dds_common REQUIRED)

include_directories(include)

ament_export_include_directories(include)

ament_export_dependencies(rmw)

link_directories(${Connext_LIBRARY_DIRS})
add_library(
  rmw_connext_shared_cpp
  SHARED
  src/condition_error.cpp
  src/count.cpp
  src/create_topic.cpp
  src/demangle.cpp
  src/event.cpp
  src/event_converter.cpp
  src/guard_condition.cpp
  src/init.cpp
  src/namespace_prefix.cpp
  src/node.cpp
  src/node_names.cpp
  src/qos.cpp
  src/names_and_types_helpers.cpp
  src/node_info_and_types.cpp
  src/rmw_qos.cpp
  src/security_logging.cpp
  src/service_names_and_types.cpp
  src/topic_names_and_types.cpp
  src/trigger_guard_condition.cpp
  src/wait_set.cpp
  src/types/custom_data_reader_listener.cpp
  src/types/custom_publisher_listener.cpp
  src/types/custom_subscriber_listener.cpp
  src/topic_endpoint_info.cpp)
ament_target_dependencies(rmw_connext_shared_cpp
  "rcpputils"
  "rcutils"
  "rmw"
  "rmw_dds_common"
  "Connext")
ament_export_libraries(rmw_connext_shared_cpp)

if(WIN32)
  # Causes the visibility macros to use dllexport rather than dllimport
  # which is appropriate when building the dll but not consuming it.
  target_compile_definitions(rmw_connext_shared_cpp
    PRIVATE "RMW_CONNEXT_SHARED_CPP_BUILDING_DLL"
            "_CRT_NONSTDC_NO_DEPRECATE")
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${rmw_INCLUDE_DIRS})
  ament_lint_auto_find_test_dependencies()
  add_subdirectory(test)
endif()

ament_package(
  CONFIG_EXTRAS "rmw_connext_shared_cpp-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_connext_shared_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)

ament_add_gtest(test_topic_cache test_topic_cache.cpp)
if(TARGET test_topic_cache)
    ament_target_dependencies(test_topic_cache)
    target_link_libraries(test_topic_cache ${PROJECT_NAME})
endif()

ament_add_gtest(test_qos_no_profile_file test_qos_profiles/test_qos_no_profile_file.cpp)
if(TARGET test_qos_no_profile_file)
    # required for qos_impl.hpp
    target_include_directories(test_qos_no_profile_file PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/../src)
    target_link_libraries(test_qos_no_profile_file ${PROJECT_NAME})
endif()

ament_add_gtest(test_profile_no_env_variables
    test_qos_profiles/test_profile_no_env_variables.cpp
    ENV "NDDS_QOS_PROFILES=${CMAKE_CURRENT_SOURCE_DIR}/test_qos_profiles/CONNEXT_QOS_PROFILES.xml")
if(TARGET test_profile_no_env_variables)
    target_link_libraries(test_profile_no_env_variables ${PROJECT_NAME})
endif()

ament_add_gtest(test_profile_topic_override_set
    test_qos_profiles/test_profile_topic_override_set.cpp
    ENV "NDDS_QOS_PROFILES=${CMAKE_CURRENT_SOURCE_DIR}/test_qos_profiles/CONNEXT_QOS_PROFILES.xml")
if(TARGET test_profile_topic_override_set)
    target_link_libraries(test_profile_topic_override_set ${PROJECT_NAME})
endif()

ament_add_gmock(test_security_logging test_security_logging.cpp)
if(TARGET test_security_logging)
    ament_target_dependencies(test_security_logging)
    target_link_libraries(test_security_logging ${PROJECT_NAME})
endif()

=== debian/changelog ===
ros-rolling-rmw-connext-shared-cpp (3.6.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#488 <https://github.com/ros2/rmw_connext/issues/488>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.5.1-1focal) focal; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.5.0-1focal) focal; urgency=high

  * Revert "Use new time_utils function to limit rmw_time_t values to 32-bits (#477 <https://github.com/ros2/rmw_connext/issues/477>)" (#482 <https://github.com/ros2/rmw_connext/issues/482>)
  * Reduce the shutdown_cleanup_period. (#473 <https://github.com/ros2/rmw_connext/issues/473>)
  * Use new time_utils function to limit rmw_time_t values to 32-bits (#477 <https://github.com/ros2/rmw_connext/issues/477>)
  * Allow more flexible usage of XML QoS profiles (#460 <https://github.com/ros2/rmw_connext/issues/460>)
  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Ivan Santiago Paunovic, Michael Jeronimo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.4.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 29 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.4.1-1focal) focal; urgency=high

  * Updated publisher/subscription allocation and wait set API return codes. (#463 <https://github.com/ros2/rmw_connext/issues/463>)
  * Contributors: Alejandro Hernández Cordero

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 26 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.4.0-1focal) focal; urgency=high

  * Update graph API return codes. (#459 <https://github.com/ros2/rmw_connext/issues/459>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.3.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.2.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Aug 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.1.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Aug 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (3.0.0-1focal) focal; urgency=high

  * Ensure compliant publisher API. (#445 <https://github.com/ros2/rmw_connext/issues/445>)
  * Avoid leaking DDS::Topic objects. (#444 <https://github.com/ros2/rmw_connext/issues/444>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 03 Aug 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (2.2.0-1focal) focal; urgency=high

  * Set context actual domain id (#443 <https://github.com/ros2/rmw_connext/issues/443>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Jul 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (2.1.0-1focal) focal; urgency=high

  * Fix topic creation race condition (#442 <https://github.com/ros2/rmw_connext/issues/442>)
  * Ensure compliant node construction/destruction API (#439 <https://github.com/ros2/rmw_connext/issues/439>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Jul 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (2.0.0-1focal) focal; urgency=high

  * Remove domain_id and localhost_only from node API (#438 <https://github.com/ros2/rmw_connext/issues/438>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jul 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (1.2.0-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID. (#427 <https://github.com/ros2/rmw_connext/issues/427>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 29 Jun 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (1.1.0-1focal) focal; urgency=high

  * Add support to RMW_EVENT_MESSAGE_LOST (#424 <https://github.com/ros2/rmw_connext/issues/424>)
  * Allow RMW events to map to more than one DDS event (#424 <https://github.com/ros2/rmw_connext/issues/424>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 18 Jun 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (1.0.0-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#423 <https://github.com/ros2/rmw_connext/issues/423>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (0.9.1-1focal) focal; urgency=high

  * Initialize RMW qos profiles to rmw_qos_profile_unknown. (#422 <https://github.com/ros2/rmw_connext/issues/422>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-rmw-connext-shared-cpp (0.9.0-1focal) focal; urgency=high

  * Add basic support for security logging plugin (#404 <https://github.com/ros2/rmw_connext/issues/404>)
  * security-context -> enclave (#407 <https://github.com/ros2/rmw_connext/issues/407>)
  * Do not force 510 locators compatibility mode (#406 <https://github.com/ros2/rmw_connext/issues/406>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#392 <https://github.com/ros2/rmw_connext/issues/392>)
  * Correct error message when using a non supported event (#400 <https://github.com/ros2/rmw_connext/issues/400>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#398 <https://github.com/ros2/rmw_connext/issues/398>)


=== debian/control ===
Source: ros-rolling-rmw-connext-shared-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-connext-cmake-module, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-cmake, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-connext-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-connext-cmake-module, ros-rolling-rmw-dds-common, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Description: C++ types and functions shared by the ROS middleware interface to RTI Connext Static and RTI Connext Dynamic.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-connext-shared-cpp//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
